Error

classic Classic list List threaded Threaded
7 messages Options
Reply | Threaded
Open this post in threaded view
|

Error

Nancy Ide-2
I get this error when trying to run "Plot confusion matrix, precision, recall and ROC and AUC curves":


> CondaError: CondaHTTPError: HTTP 404 NOT FOUND for url <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2>>


as the file libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 does not exist in https://conda.anaconda.org/conda-forge/linux-64/ <https://conda.anaconda.org/conda-forge/linux-64/>


       


Please help!

Thanks
-----------------------------------------------------

Nancy Ide
Professor of Computer Science

Department of Computer Science
Vassar College
Poughkeepsie, New York 12604-0520
USA

tel: (+1 845) 437 5988
fax: (+1 845) 437 7498
email: [hidden email]
http://www.cs.vassar.edu/~ide

-----------------------------------------------------





___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

galaxy-log.txt (18K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Error

Björn Grüning-3
Hi Nancy,

this looks like a timout during a download of conda packages.

I assume anaconda.org had some hiccups, please try again. Those URLs
should exists.

Ciao,
Bjoern

Am 25.06.19 um 22:59 schrieb Nancy Ide:
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>    %(web_page_url)s
>
> To search Galaxy mailing lists use the unified search at:
>    http://galaxyproject.org/search/
>
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
Reply | Threaded
Open this post in threaded view
|

Re: Error

Pietro Mandreoli
In reply to this post by Nancy Ide-2
Hi,
probably the package is broken see https://anaconda.org/conda-forge/libgcc-ng/files .
Try to install the previous version manually, activating conda and then the conda environment of the tool.

commands:
source _conda/bin/activate to activate CONDA
cd _conda/envs

source activate <name of the tool env>

then conda install <package> -c <channel>

Best regards,

PM
<signaturebeforequotedtext></signaturebeforequotedtext>
Il 25/06/19 22:59, Nancy Ide  <[hidden email]> ha scritto:

>
> I get this error when trying to run "Plot confusion matrix, precision, recall and ROC and AUC curves":
>
>
> > CondaError: CondaHTTPError: HTTP 404 NOT FOUND for url <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2>>
>
>
> as the file libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 does not exist in https://conda.anaconda.org/conda-forge/linux-64/ <https://conda.anaconda.org/conda-forge/linux-64/>
>
>
>
>
>
> Please help!
>
> Thanks
> -----------------------------------------------------
>
> Nancy Ide
> Professor of Computer Science
>
> Department of Computer Science
> Vassar College
> Poughkeepsie, New York 12604-0520
> USA
>
> tel: (+1 845) 437 5988
> fax: (+1 845) 437 7498
> email: [hidden email]
> http://www.cs.vassar.edu/~ide
>
> -----------------------------------------------------
>
>
>
>
>
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client. To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>  %(web_page_url)s
>
> To search Galaxy mailing lists use the unified search at:
>  http://galaxyproject.org/search/
>
>
<signatureafterquotedtext></signatureafterquotedtext>
___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
Reply | Threaded
Open this post in threaded view
|

Re: Error

Nancy Ide-2
In reply to this post by Björn Grüning-3
Unfortunately still the same error! Trying Pietro’s solution.

> On Jun 26, 2019, at 5:57 AM, Björn Grüning <[hidden email]> wrote:
>
> Hi Nancy,
>
> this looks like a timout during a download of conda packages.
>
> I assume anaconda.org had some hiccups, please try again. Those URLs should exists.
>
> Ciao,
> Bjoern
>
> Am 25.06.19 um 22:59 schrieb Nancy Ide:
>> ___________________________________________________________
>> Please keep all replies on the list by using "reply all"
>> in your mail client.  To manage your subscriptions to this
>> and other Galaxy lists, please use the interface at:
>>   %(web_page_url)s
>> To search Galaxy mailing lists use the unified search at:
>>   http://galaxyproject.org/search/

-----------------------------------------------------

Nancy Ide
Professor of Computer Science

Department of Computer Science
Vassar College
Poughkeepsie, New York 12604-0520
USA

tel: (+1 845) 437 5988
fax: (+1 845) 437 7498
email: [hidden email]
http://www.cs.vassar.edu/~ide

-----------------------------------------------------



___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/
Reply | Threaded
Open this post in threaded view
|

Re: Error

Keith Suderman
In reply to this post by Pietro Mandreoli
Hi Pietro,

I suspect the package is broken.  The anaconda.org server is available, but the libgcc-ng file is not where the package expects it to be.

I followed your suggestion and it worked... sort of. At least it exposed another error, actually the same problem but with numpy... So I applied the same solution and that worked... sort of.  Now the error is:

>     Traceback (most recent call last):
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/_vendor/auxlib/entity.py", line 411, in __get__
>         val = instance.__dict__[self.name]
>     KeyError: 'size'
>    
>     During handling of the above exception, another exception occurred:
>    
>     Traceback (most recent call last):
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/exceptions.py", line 1043, in __call__
>         return func(*args, **kwargs)
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/main.py", line 84, in _main
>         exit_code = do_call(args, p)
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/conda_argparse.py", line 82, in do_call
>         exit_code = getattr(module, func_name)(args, parser)
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/main_create.py", line 37, in execute
>         install(args, parser, 'create')
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/install.py", line 304, in install
>         handle_txn(unlink_link_transaction, prefix, args, newenv)
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/install.py", line 320, in handle_txn
>         unlink_link_transaction.print_transaction_summary()
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/core/link.py", line 877, in print_transaction_summary
>         change_report_str = self._change_report_str(change_report)
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/core/link.py", line 926, in _change_report_str
>         size = prec.size
>       File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/_vendor/auxlib/entity.py", line 417, in __get__
>         raise AttributeError("A value for {0} has not been set".format(self.name))
>     AttributeError: A value for size has not been set
The full Galaxy log is attached.

Cheers,
Keith

> On Jun 26, 2019, at 7:31 AM, Pietro Mandreoli <[hidden email]> wrote:
>
> Hi,
> probably the package is broken see https://anaconda.org/conda-forge/libgcc-ng/files .
> Try to install the previous version manually, activating conda and then the conda environment of the tool.
>
> commands:
> source _conda/bin/activate to activate CONDA
> cd _conda/envs
>
> source activate <name of the tool env>
>
> then conda install <package> -c <channel>
>
> Best regards,
>
> PM
> <signaturebeforequotedtext></signaturebeforequotedtext>
> Il 25/06/19 22:59, Nancy Ide  <[hidden email]> ha scritto:
>>
>> I get this error when trying to run "Plot confusion matrix, precision, recall and ROC and AUC curves":
>>
>>
>>> CondaError: CondaHTTPError: HTTP 404 NOT FOUND for url <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2>>
>>
>>
>> as the file libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 does not exist in https://conda.anaconda.org/conda-forge/linux-64/ <https://conda.anaconda.org/conda-forge/linux-64/>
>>
>>
>>
>>
>>
>> Please help!
>>
>> Thanks
>> -----------------------------------------------------
>>
>> Nancy Ide
>> Professor of Computer Science
>>
>> Department of Computer Science
>> Vassar College
>> Poughkeepsie, New York 12604-0520
>> USA
>>
>> tel: (+1 845) 437 5988
>> fax: (+1 845) 437 7498
>> email: [hidden email]
>> http://www.cs.vassar.edu/~ide
>>
>> -----------------------------------------------------
>>
>>
>>
>>
>>
>> ___________________________________________________________
>> Please keep all replies on the list by using "reply all"
>> in your mail client. To manage your subscriptions to this
>> and other Galaxy lists, please use the interface at:
>> %(web_page_url)s
>>
>> To search Galaxy mailing lists use the unified search at:
>> http://galaxyproject.org/search/
>>
>>
> <signatureafterquotedtext></signatureafterquotedtext>
> ___________________________________________________________
> Please keep all replies on the list by using "reply all"
> in your mail client.  To manage your subscriptions to this
> and other Galaxy lists, please use the interface at:
>  %(web_page_url)s
>
> To search Galaxy mailing lists use the unified search at:
>  http://galaxyproject.org/search/

___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

galaxy-error-log.txt (18K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Fwd: Error

Nancy Ide-2
Hi all

Now that GCC is over I wonder if we could resolve the problem from our discussion below. We have tried everything but nothing helps. We really need to get this solved...

On another note, I have a local Galaxy instance that cannot run certain of the machine learning tools from the tool shed because they require a certain module (imblearn in this case), but I get this error:

 ERROR: Could not find a version that satisfies the requirement scikit-learn>=0.21 (from imbalanced-learn) (from versions: 0.9, 0.10, 0.11, 0.12, 0.12.1, 0.13, 0.13.1, 0.14, 0.14.1, 0.15.0b1, 0.15.0b2, 0.15.0, 0.15.1, 0.15.2, 0.16b1, 0.16.0, 0.16.1, 0.17b1, 0.17, 0.17.1, 0.18rc2, 0.18, 0.18.1, 0.18.2, 0.19b2, 0.19.0, 0.19.1, 0.19.2, 0.20rc1, 0.20.0, 0.20.1, 0.20.2, 0.20.3, 0.21rc2)
ERROR: No matching distribution found for scikit-learn>=0.21 (from imbalanced-learn)

scikit-learn is installed in python2.7 but it is version .20.3 (pip install -U scikit-learn gives Requirement already up-to-date: scikit-learn in ./.venv/lib/python2.7/site-packages (0.20.3)


I assume that Python 2.7 does not work with version .21.

Interestingly, the tools requiring imblearn work on our development Galaxy instance at jetstream.galaxy.org <http://jetstream.galaxy.org/>. There, Python 2.7 has a similarly old (.20.2) version of scikit-learn, and no version installed for Python3.

In any case, I have googled this error and discovered that there has never been a good answer on forums such as stackoverflow. So if you have an idea I'd be most grateful.

Thanks!

> Begin forwarded message:
>
> From: Keith Suderman <[hidden email]>
> Subject: Re: [galaxy-dev] Error
> Date: June 27, 2019 at 4:23:06 PM EDT
> To: Pietro Mandreoli <[hidden email]>, Björn Grüning <[hidden email]>
> Cc: Ide Nancy <[hidden email]>, [hidden email]
>
> Hi Pietro,
>
> I suspect the package is broken.  The anaconda.org <http://anaconda.org/> server is available, but the libgcc-ng file is not where the package expects it to be.
>
> I followed your suggestion and it worked... sort of. At least it exposed another error, actually the same problem but with numpy... So I applied the same solution and that worked... sort of.  Now the error is:
>
>>    Traceback (most recent call last):
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/_vendor/auxlib/entity.py", line 411, in __get__
>>        val = instance.__dict__[self.name]
>>    KeyError: 'size'
>>
>>    During handling of the above exception, another exception occurred:
>>
>>    Traceback (most recent call last):
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/exceptions.py", line 1043, in __call__
>>        return func(*args, **kwargs)
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/main.py", line 84, in _main
>>        exit_code = do_call(args, p)
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/conda_argparse.py", line 82, in do_call
>>        exit_code = getattr(module, func_name)(args, parser)
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/main_create.py", line 37, in execute
>>        install(args, parser, 'create')
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/install.py", line 304, in install
>>        handle_txn(unlink_link_transaction, prefix, args, newenv)
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/install.py", line 320, in handle_txn
>>        unlink_link_transaction.print_transaction_summary()
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/core/link.py", line 877, in print_transaction_summary
>>        change_report_str = self._change_report_str(change_report)
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/core/link.py", line 926, in _change_report_str
>>        size = prec.size
>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/_vendor/auxlib/entity.py", line 417, in __get__
>>        raise AttributeError("A value for {0} has not been set".format(self.name))
>>    AttributeError: A value for size has not been set
>
> The full Galaxy log is attached.
>
> Cheers,
> Keith
>
>> On Jun 26, 2019, at 7:31 AM, Pietro Mandreoli <[hidden email] <mailto:[hidden email]>> wrote:
>>
>> Hi,
>> probably the package is broken see https://anaconda.org/conda-forge/libgcc-ng/files .
>> Try to install the previous version manually, activating conda and then the conda environment of the tool.
>>
>> commands:
>> source _conda/bin/activate to activate CONDA
>> cd _conda/envs
>>
>> source activate <name of the tool env>
>>
>> then conda install <package> -c <channel>
>>
>> Best regards,
>>
>> PM
>> <signaturebeforequotedtext></signaturebeforequotedtext>
>> Il 25/06/19 22:59, Nancy Ide  <[hidden email] <mailto:[hidden email]>> ha scritto:
>>>
>>> I get this error when trying to run "Plot confusion matrix, precision, recall and ROC and AUC curves":
>>>
>>>
>>>> CondaError: CondaHTTPError: HTTP 404 NOT FOUND for url <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2>>
>>>
>>>
>>> as the file libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 does not exist in https://conda.anaconda.org/conda-forge/linux-64/ <https://conda.anaconda.org/conda-forge/linux-64/>
>>>
>>>
>>>
>>>
>>>
>>> Please help!
>>>
>>> Thanks
>>> -----------------------------------------------------
>>>
>>> Nancy Ide
>>> Professor of Computer Science
>>>
>>> Department of Computer Science
>>> Vassar College
>>> Poughkeepsie, New York 12604-0520
>>> USA
>>>
>>> tel: (+1 845) 437 5988
>>> fax: (+1 845) 437 7498
>>> email: [hidden email]
>>> http://www.cs.vassar.edu/~ide
>>>
>>> -----------------------------------------------------
>>>
>>>
>>>
>>>
>>>
>>> ___________________________________________________________
>>> Please keep all replies on the list by using "reply all"
>>> in your mail client. To manage your subscriptions to this
>>> and other Galaxy lists, please use the interface at:
>>> %(web_page_url)s
>>>
>>> To search Galaxy mailing lists use the unified search at:
>>> http://galaxyproject.org/search/
>>>
>>>
>> <signatureafterquotedtext></signatureafterquotedtext>
>> ___________________________________________________________
>> Please keep all replies on the list by using "reply all"
>> in your mail client.  To manage your subscriptions to this
>> and other Galaxy lists, please use the interface at:
>> %(web_page_url)s
>>
>> To search Galaxy mailing lists use the unified search at:
>> http://galaxyproject.org/search/ <http://galaxyproject.org/search/>
-----------------------------------------------------

Nancy Ide
Professor of Computer Science

Department of Computer Science
Vassar College
Poughkeepsie, New York 12604-0520
USA

tel: (+1 845) 437 5988
fax: (+1 845) 437 7498
email: [hidden email]
http://www.cs.vassar.edu/~ide

-----------------------------------------------------





___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/

galaxy-error-log.txt (18K) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Error

Nancy Ide-2
PS Same error ("Conda dependency seemingly installed but failed to build job environment.”)
running Estimate parameters tool on our Jetstream instance.

> On Jul 7, 2019, at 3:06 PM, ide <[hidden email]> wrote:
>
> Hi all
>
> Now that GCC is over I wonder if we could resolve the problem from our discussion below. We have tried everything but nothing helps. We really need to get this solved...
>
> On another note, I have a local Galaxy instance that cannot run certain of the machine learning tools from the tool shed because they require a certain module (imblearn in this case), but I get this error:
>
>  ERROR: Could not find a version that satisfies the requirement scikit-learn>=0.21 (from imbalanced-learn) (from versions: 0.9, 0.10, 0.11, 0.12, 0.12.1, 0.13, 0.13.1, 0.14, 0.14.1, 0.15.0b1, 0.15.0b2, 0.15.0, 0.15.1, 0.15.2, 0.16b1, 0.16.0, 0.16.1, 0.17b1, 0.17, 0.17.1, 0.18rc2, 0.18, 0.18.1, 0.18.2, 0.19b2, 0.19.0, 0.19.1, 0.19.2, 0.20rc1, 0.20.0, 0.20.1, 0.20.2, 0.20.3, 0.21rc2)
> ERROR: No matching distribution found for scikit-learn>=0.21 (from imbalanced-learn)
>
> scikit-learn is installed in python2.7 but it is version .20.3 (pip install -U scikit-learn gives Requirement already up-to-date: scikit-learn in ./.venv/lib/python2.7/site-packages (0.20.3)
>
>
> I assume that Python 2.7 does not work with version .21.
>
> Interestingly, the tools requiring imblearn work on our development Galaxy instance at jetstream.galaxy.org <http://jetstream.galaxy.org/>. There, Python 2.7 has a similarly old (.20.2) version of scikit-learn, and no version installed for Python3.
>
> In any case, I have googled this error and discovered that there has never been a good answer on forums such as stackoverflow. So if you have an idea I'd be most grateful.
>
> Thanks!
>
>> Begin forwarded message:
>>
>> From: Keith Suderman <[hidden email] <mailto:[hidden email]>>
>> Subject: Re: [galaxy-dev] Error
>> Date: June 27, 2019 at 4:23:06 PM EDT
>> To: Pietro Mandreoli <[hidden email] <mailto:[hidden email]>>, Björn Grüning <[hidden email] <mailto:[hidden email]>>
>> Cc: Ide Nancy <[hidden email] <mailto:[hidden email]>>, [hidden email] <mailto:[hidden email]>
>>
>> Hi Pietro,
>>
>> I suspect the package is broken.  The anaconda.org <http://anaconda.org/> server is available, but the libgcc-ng file is not where the package expects it to be.
>>
>> I followed your suggestion and it worked... sort of. At least it exposed another error, actually the same problem but with numpy... So I applied the same solution and that worked... sort of.  Now the error is:
>>
>>>    Traceback (most recent call last):
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/_vendor/auxlib/entity.py", line 411, in __get__
>>>        val = instance.__dict__[self.name]
>>>    KeyError: 'size'
>>>
>>>    During handling of the above exception, another exception occurred:
>>>
>>>    Traceback (most recent call last):
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/exceptions.py", line 1043, in __call__
>>>        return func(*args, **kwargs)
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/main.py", line 84, in _main
>>>        exit_code = do_call(args, p)
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/conda_argparse.py", line 82, in do_call
>>>        exit_code = getattr(module, func_name)(args, parser)
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/main_create.py", line 37, in execute
>>>        install(args, parser, 'create')
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/install.py", line 304, in install
>>>        handle_txn(unlink_link_transaction, prefix, args, newenv)
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/cli/install.py", line 320, in handle_txn
>>>        unlink_link_transaction.print_transaction_summary()
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/core/link.py", line 877, in print_transaction_summary
>>>        change_report_str = self._change_report_str(change_report)
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/core/link.py", line 926, in _change_report_str
>>>        size = prec.size
>>>      File "/home/galaxy/galaxy/database/dependencies/_conda/lib/python3.6/site-packages/conda/_vendor/auxlib/entity.py", line 417, in __get__
>>>        raise AttributeError("A value for {0} has not been set".format(self.name))
>>>    AttributeError: A value for size has not been set
>>
>> The full Galaxy log is attached.
>>
>> Cheers,
>> Keith
>>
>>> On Jun 26, 2019, at 7:31 AM, Pietro Mandreoli <[hidden email] <mailto:[hidden email]>> wrote:
>>>
>>> Hi,
>>> probably the package is broken see https://anaconda.org/conda-forge/libgcc-ng/files <https://anaconda.org/conda-forge/libgcc-ng/files> .
>>> Try to install the previous version manually, activating conda and then the conda environment of the tool.
>>>
>>> commands:
>>> source _conda/bin/activate to activate CONDA
>>> cd _conda/envs
>>>
>>> source activate <name of the tool env>
>>>
>>> then conda install <package> -c <channel>
>>>
>>> Best regards,
>>>
>>> PM
>>> <signaturebeforequotedtext></signaturebeforequotedtext>
>>> Il 25/06/19 22:59, Nancy Ide  <[hidden email] <mailto:[hidden email]>> ha scritto:
>>>>
>>>> I get this error when trying to run "Plot confusion matrix, precision, recall and ROC and AUC curves":
>>>>
>>>>
>>>>> CondaError: CondaHTTPError: HTTP 404 NOT FOUND for url <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2> <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 <https://conda.anaconda.org/conda-forge/linux-64/libgcc-ng-7.3.0-hdf63c60_0.tar.bz2>>>
>>>>
>>>>
>>>> as the file libgcc-ng-7.3.0-hdf63c60_0.tar.bz2 does not exist in https://conda.anaconda.org/conda-forge/linux-64/ <https://conda.anaconda.org/conda-forge/linux-64/> <https://conda.anaconda.org/conda-forge/linux-64/ <https://conda.anaconda.org/conda-forge/linux-64/>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>> Please help!
>>>>
>>>> Thanks
>>>> -----------------------------------------------------
>>>>
>>>> Nancy Ide
>>>> Professor of Computer Science
>>>>
>>>> Department of Computer Science
>>>> Vassar College
>>>> Poughkeepsie, New York 12604-0520
>>>> USA
>>>>
>>>> tel: (+1 845) 437 5988
>>>> fax: (+1 845) 437 7498
>>>> email: [hidden email] <mailto:[hidden email]>
>>>> http://www.cs.vassar.edu/~ide
>>>>
>>>> -----------------------------------------------------
>>>>
>>>>
>>>>
>>>>
>>>>
>>>> ___________________________________________________________
>>>> Please keep all replies on the list by using "reply all"
>>>> in your mail client. To manage your subscriptions to this
>>>> and other Galaxy lists, please use the interface at:
>>>> %(web_page_url)s
>>>>
>>>> To search Galaxy mailing lists use the unified search at:
>>>> http://galaxyproject.org/search/
>>>>
>>>>
>>> <signatureafterquotedtext></signatureafterquotedtext>
>>> ___________________________________________________________
>>> Please keep all replies on the list by using "reply all"
>>> in your mail client.  To manage your subscriptions to this
>>> and other Galaxy lists, please use the interface at:
>>> %(web_page_url)s
>>>
>>> To search Galaxy mailing lists use the unified search at:
>>> http://galaxyproject.org/search/ <http://galaxyproject.org/search/>
> <galaxy-error-log.txt>
>
> -----------------------------------------------------
>
> Nancy Ide
> Professor of Computer Science
>
> Department of Computer Science
> Vassar College
> Poughkeepsie, New York 12604-0520
> USA
>
> tel: (+1 845) 437 5988
> fax: (+1 845) 437 7498
> email: [hidden email] <mailto:[hidden email]>
> http://www.cs.vassar.edu/~ide
>
> -----------------------------------------------------
>
>
>
>

-----------------------------------------------------

Nancy Ide
Professor of Computer Science

Department of Computer Science
Vassar College
Poughkeepsie, New York 12604-0520
USA

tel: (+1 845) 437 5988
fax: (+1 845) 437 7498
email: [hidden email]
http://www.cs.vassar.edu/~ide

-----------------------------------------------------




___________________________________________________________
Please keep all replies on the list by using "reply all"
in your mail client.  To manage your subscriptions to this
and other Galaxy lists, please use the interface at:
  %(web_page_url)s

To search Galaxy mailing lists use the unified search at:
  http://galaxyproject.org/search/